Skip to main content
POST
Payin Fee

Authorizations

Authorization
string
header
required

Secret API key from Settings → Developers → API keys. Example: Authorization: Bearer sk_test_…

Body

application/json
target_currency
string
required

Book currency that will be credited.

Example:

"NGN"

amount
integer
required

Funding amount in Ledger minor units of currency (or target when omitted).

Example:

5000000

method
string

Funding method. Accepted values: bank_transfer, momo, interac, crypto, apple_pay. bank_details / bank are aliases for bank_transfer. Provide method or mode.

Example:

"bank_transfer"

mode
string

Alternative to method using prepare modes (bank_details, crypto_address, momo, interac). Mapped to the matching method for pricing.

Example:

"bank_details"

currency
string

Currency of amount for the fee quote; defaults to target_currency.

Response

Fee quote

object
enum<string>

Object type discriminator.

Available options:
payin_fee
currency
string

Currency of the quoted amounts.

amount
integer

Requested funding amount in minor units.

partner_fee
integer

Partner rail cost in minor units.

margin
integer

Keette concession / margin in minor units.

fee
integer

Total fee charged to the payer (partner_fee + margin).

credit_amount
integer

Net amount expected to credit the book after fees.

margin_source
string

Pricing source for the margin line.

product
string

Internal pricing product key.

scale
integer

Decimal places for the currency.